## com.sun.org.apache.commons.logging
Interface Log

All Known Implementing Classes:
  JettyLog, NoOpLog

    public interface Log

Method Summary
`void` `debug(Object message)`
`void` `debug(Object message, Throwable t)`
`void` `error(Object message)`
`void` `error(Object message, Throwable cause)`
`void` `fatal(Object message)`
`void` `fatal(Object message, Throwable t)`
`void` `info(Object message)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `trace(Object message)`
`void` `warn(Object message)`

Method Detail

### fatal

    void fatal(Object message)

### fatal

    void fatal(Object message,
               Throwable t)

### debug

    void debug(Object message)

### debug

    void debug(Object message,
               Throwable t)

### trace

    void trace(Object message)

### info

    void info(Object message)

### error

    void error(Object message)

### error

    void error(Object message,
               Throwable cause)

### warn

    void warn(Object message)

### isDebugEnabled

    boolean isDebugEnabled()

### isWarnEnabled

    boolean isWarnEnabled()

### isInfoEnabled

    boolean isInfoEnabled()

### isErrorEnabled

    boolean isErrorEnabled()

### isTraceEnabled

    boolean isTraceEnabled()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.